﻿@using SportsClub.Areas.Dashboard.Models
@model OrganizationSettingsViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                General Settings
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <legend>Organization information</legend>
            <div>
                <label for="@Html.Ang(m => m.Domain)">Jumbula domain</label>
                <div class="input-control" data-role="input-control">
                    <span style="font-weight:bold">{{Model.Domain}}</span>
                </div>
                <div class="clearfix"></div>

                <label class="req-star" for="@Html.Ang(m => m.Name)">Organization name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                    <input class="k-textbox" id="@Html.Ang( m => m.Name)" ng-model="@Html.Ang( m => m.Name)" @Html.AngTooltipValidationFor(model => model.Name) />
                </div>


                <label>Website</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Site)>
                    <input ng-model="@Html.Ang(m => m.Site)" type="text" @Html.AngTooltipValidationFor(model => model.Site) />
                </div>
                <label class="req-star">Time zone</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTimeZone)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedTimeZone)>
                        <select ng-options="obj.Value as obj.Text for obj in Model.OrganizationTimeZone"
                                ng-model="@Html.Ang(m => m.SelectedTimeZone)"></select>
                    </div>
                </div>
                <label class="req-star">Address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address)>
                    <input ng-model="@Html.Ang(model => model.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address) />
                </div>
                <label>Description</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Description)"></textarea>
                </div>
                <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.Basic')" class="success large place-right">Save</button>
            </div>
        </fieldset>
        <fieldset>
            <legend>Organization logo</legend>
            <div class="grid fluid">
                <div class="row">
                    <div class="span6">
                        <label for="@Html.Ang(m => m.Logo)">Logo:</label>

                        <!-- start image cropper -->
                        <div class="cropArea img-cropper" style="width: 100%;background-color:#f5f5f5;padding:15px;border: 5px double #eee;">
                            <span class="note-cropper">You can upload a logo for your organization by choosing an image file and cropping it. The cropping feature allows you to choose the entire image or a portion of it. Please note we do not support transparent images and the dimensions of the logo must be at least 65 pixels.</span>
                            <input type="file" id="cropperLogo" img-cropper-fileread image="cropper.sourceImage" onchange="angular.element(this).scope().getSize(this)" />


                            <div class="box-cropping-logo-club">
                                <canvas width="300" height="150" min-height="65" zoom="0" min-width="65" id="canvas"
                                        image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage"
                                        touch-radius="30"
                                        keep-aspect="false" crop-area-bounds="bounds" cors="true"></canvas>
                            </div>

                            @* <div ng-show="cropper.croppedImage!=null"><img ng-src="{{cropper.croppedImage}}" /></div>*@


                        </div>
                    </div>
                    <div class="span6">
                        <div class="margin-bottom10">Cropped Logo:</div>
                        <div class="img-cropper-preview" style="width:100%;background-color:#f5f5f5;padding:15px;border: 5px double #eee;">
                            <div class="club-logo" ng-show="cropper.croppedImage!=null">
                                <img src="{{cropper.croppedImage}}" ng-src="{{cropper.croppedImage}}" ng-model="@Html.Ang(m => m.Logo)" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- end image cropper -->

            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.Logo')" class="success large place-right">Save</button>
        </fieldset>


        <fieldset>
            <legend>Organization formation</legend>

            <div>
                <label class="req-star">Business type</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedBusinessType)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedBusinessType)>
                        <select ng-options="obj.Value as obj.Text for obj in Model.OrganizationBusinessTypes"
                                ng-model="@Html.Ang(m => m.SelectedBusinessType)"></select>
                    </div>
                </div>


                <label class="req-star" for="@Html.Ang(m => m.LegalName)" ng-show="Model.SelectedBusinessType!='2'">Business legal name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LegalName) ng-show="Model.SelectedBusinessType!='2'">
                    <input class="k-textbox" id="@Html.Ang(m => m.LegalName)" ng-model="@Html.Ang(m => m.LegalName)" @Html.AngTooltipValidationFor(model => model.LegalName) />
                </div>
                <label ng-show="Model.SelectedBusinessType!='2'">Employer Identification Number (EIN)</label>
                <div class="input-control text" data-role="input-control" ng-show="Model.SelectedBusinessType!='2'">
                    <input ng-model="@Html.Ang(m => m.TaxIDFEIN)" type="text" />
                </div>
                <label ng-show="Model.SelectedBusinessType=='2'">Social security number (SSN)</label>
                <div class="input-control text" data-role="input-control" ng-show="Model.SelectedBusinessType=='2'">
                    <input ng-model="@Html.Ang(m => m.TaxIDSSN)" type="text" />
                </div>

            </div>

            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.Formation')" class="success large place-right">Save</button>
        </fieldset>

        <fieldset>
            <legend>Contact information</legend>

            <div>
                <label class="req-star">First name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                    <input ng-model="@Html.Ang(m => m.FirstName)" type="text" @Html.AngTooltipValidationFor(model => model.FirstName) />
                </div>
                <label class="req-star">Last name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                    <input ng-model="@Html.Ang(m => m.LastName)" type="text" @Html.AngTooltipValidationFor(model => model.LastName) />
                </div>
                <label for="@Html.Ang(m => m.Title)">Title</label>
                <div class="input-control select" data-role="input">
                    <select ng-model="Model.Title" ng-options="obj.Value as obj.Text for obj in Model.AllStaffTitles"></select>
                </div>
                <label class="req-star">Phone number</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                    <input ng-model="@Html.Ang(m => m.Phone)" type="text" @Html.AngTooltipValidationFor(model => model.Phone) />
                </div>

                <label>Phone extension</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.ExtensionPhone)" type="text" />
                </div>

                <label class="req-star">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                    <input ng-model="@Html.Ang(m => m.Email)" type="text" @Html.AngTooltipValidationFor(model => model.Email) />
                </div>
            </div>

            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.Contact')" class="success large place-right">Save</button>
        </fieldset>
        <fieldset>
            <legend>Notification emails</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m=> m.IsNotificationEmailsSet)" name="IsNotificationEmailsSet" ng-value="false" type="radio" />
                        <span class="check"></span>
                        Send all notifications to the organization contact email: <span style="font:bold">{{Model.Email}}</span>
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsNotificationEmailsSet)" name="IsNotificationEmailsSet" ng-value="true" type="radio" />
                        <span class="check"></span>
                        Send all notifications to the following emails
                    </label>
                </div>
            </div>
            <div class="input-control select" data-role="input-control" ng-show="@Html.Ang(m => m.IsNotificationEmailsSet)">

                <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedCCEmails)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedCCEmails)>
                        <select chosen multiple
                                data-placeholder="Enter email address"
                                ng-model="@Html.Ang(m => m.SelectedCCEmails)"
                                name="SelectedCCEmails"
                                ng-options="obj.Value as obj.Text for obj in Model.AllCCEmails"></select>
                    </div>
                </div>

                <input type="text" ng-model="newEmail" />
                <button ng-click="addEmailItem()" class="small">Add</button>
            </div>
            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.NotificationEmail')" class="success large place-right">Save</button>
        </fieldset>

        <fieldset>
            <legend>Onsite coordinator contact</legend>

            <label>Name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.OnSiteCoordinatorName)>
                <input ng-model="@Html.Ang(m => m.OnSiteCoordinatorName)" type="text" @Html.AngTooltipValidationFor(model => model.OnSiteCoordinatorName) />
            </div>
            <label>Email</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.OnSiteCoordinatorEmail)>
                <input ng-model="@Html.Ang(m => m.OnSiteCoordinatorEmail)" type="text" @Html.AngTooltipValidationFor(model => model.OnSiteCoordinatorEmail) />
            </div>

            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.OnSiteCoordinator')" class="success large place-right">Save</button>

        </fieldset>
        <fieldset>
            <legend>Messaging</legend>

            <label>Staff member in charge of messages</label>

            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedStaffResponder)>
                <div @Html.AngTooltipValidationFor(model => model.SelectedStaffResponder)>
                    <select ng-model="@Html.Ang(m => m.SelectedStaffResponder)"
                            name="SelectedStaff"
                            ng-options="obj.Value as obj.Text for obj in Model.ActiveStaffs">
                        <option value=""></option>
                    </select>
                </div>
            </div>
            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.StaffResponder')" class="success large place-right">Save</button>

        </fieldset>

        <fieldset>
            <legend>Change password</legend>
            <div>
                <label>Username</label>
                <div class="input-control text" data-role="input-control">
                    <input type="text" readonly class="k-textbox" ng-model="@Html.Ang(m => m.Username)" />
                </div>
                <hr />
                <label class="req-star" for="@Html.Ang(m => m.OldPassword)">Current password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.OldPassword)>
                    <input type="password" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.OldPassword)" ng-model="@Html.Ang(m => m.OldPassword)" @Html.AngTooltipValidationFor(model => model.OldPassword) />
                </div>

                <hr />

                <label class="req-star" for="@Html.Ang(m => m.NewPassword)">New password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.NewPassword)>
                    <input type="password" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.NewPassword)" ng-model="@Html.Ang(m => m.NewPassword)" @Html.AngTooltipValidationFor(model => model.NewPassword) />
                </div>

                <label class="req-star" for="@Html.Ang(m => m.ConfirmPassword)">Confirm new password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ConfirmPassword)>
                    <input type="password" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.ConfirmPassword)" ng-model="@Html.Ang(m => m.ConfirmPassword)" @Html.AngTooltipValidationFor(model => model.ConfirmPassword) />
                </div>
            </div>
            <button ngaction="Settings_General_Save" ng-click="save('@OrganizationSettingsSection.ChangePass')" class="success large place-right">Save</button>
        </fieldset>

        <div class="clearfix"></div>
        <hr />

        <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>